#--------------------------------------------------------
#--- Gestin LinEx Contabilidad 1.1 - Mysql -------------
#--- (C) PuntoDev GNU S.L.  (Licencia GPL) --------------
#--- Ene. 2005                             --------------
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow001 (E0 INT(5) NOT NULL, E1 CHAR(50), E2 CHAR(50),
E3 CHAR(50), E4 CHAR(6), E5 CHAR(50), E6 CHAR(12), E7 CHAR(30),
E8 CHAR(30), E9 INT(1), E10 CHAR(50), E11 CHAR(8), E12 CHAR(8),
E13 INT(4), E14 CHAR(50), E15 BLOB, E16 INT(10) NOT NULL DEFAULT 1,
PRIMARY KEY ke (E0), UNIQUE (E0), INDEX ke (E0));
#--------------------------------------------------------
INSERT IGNORE INTO cow001 (E0,E1,E2,E3,E4,E5,E6,E9,E11,E12,E13) VALUES (
1,"EMPRESA NUMERO 1","DIRECCION 1","LOCALIDAD 1","06001","PROVINCIA 1",
"A-1111111",4,"DEBE","HABER",2005);
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow00300001 (P0 CHAR(9) NOT NULL, P1 CHAR(50), P2 CHAR(15),
PRIMARY KEY kp (P0), UNIQUE (P0), INDEX kp (P0));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow00500001 (PA0 CHAR(9) NOT NULL, PA1 INT(4) NOT NULL,
PA2 INT(2) NOT NULL, PA3 DOUBLE(10,2), PA4 DOUBLE(10,2),
PRIMARY KEY kpa (PA0,PA1,PA2), UNIQUE (PA0,PA1,PA2), INDEX kpa (PA0,PA1,PA2));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow00600001 (CP0 CHAR(15) NOT NULL, CP1 CHAR(50), CP2 CHAR(50),
CP3 CHAR(50), CP4 CHAR(6), CP5 CHAR(50), CP6 CHAR(30), CP7 CHAR(30),
CP8 CHAR(9), CP9 BLOB, PRIMARY KEY kcp (CP0), UNIQUE (CP0), INDEX kcp (CP0));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow00700001A (BSS0 CHAR(9) NOT NULL, BSS1 CHAR(50),
BSS2 DOUBLE(10,2), BSS3 DOUBLE(10,2), PRIMARY KEY kbss (BSS0),
UNIQUE (BSS0), INDEX kbss (BSS0));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow008 (C0 CHAR(15) NOT NULL, C1 CHAR(50), C2 BLOB,
PRIMARY KEY kc (C0), UNIQUE (C0), INDEX kc (C0));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow00900001 (TDI0 CHAR(4) NOT NULL, TDI1 INT(7) NOT NULL,
TDI2 INT(5), TDI3 DATE, TDI4 CHAR(9), TDI5 CHAR(50), TDI6 CHAR(50),
TDI7 DOUBLE(10,2), TDI8 DOUBLE(10,2), TDI9 CHAR(2), TDI10 INT(9),
TDI11 DATE, TDI12 DOUBLE(10,2), TDI13 DOUBLE(5,2), TDI14 CHAR(9),
TDI15 DATE, TDI16 DOUBLE(10,2), TDI17 DATE, TDI18 DOUBLE(10,2),
TDI19 DATE, TDI20 DOUBLE(10,2), TDI21 INT(2), TDI22 CHAR(1),
PRIMARY KEY ktdi (TDI0,TDI1), UNIQUE (TDI0,TDI1), INDEX kdi (TDI0,TDI1));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow01100001 (PP0 CHAR(4) NOT NULL, PP1 INT(6) NOT NULL,
PP2 CHAR(1) NOT NULL, PP3 DATE NOT NULL, PP4 INT(5), PP5 CHAR(9),
PP6 DOUBLE(10,2), PP7 INT(1), PP8 INT(1), PP9 INT(2), PRIMARY KEY kpp (PP0,PP1,PP2,PP3),
UNIQUE (PP0,PP1,PP2,PP3), INDEX kpp (PP0,PP1,PP2,PP3));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow01200001 (PC0 CHAR(4) NOT NULL, PC1 INT(6) NOT NULL,
PC2 CHAR(1) NOT NULL, PC3 DATE NOT NULL, PC4 INT(5), PC5 CHAR(9),
PC6 DOUBLE(10,2), PC7 INT(1), PC8 INT(1), PC9 INT(2), PRIMARY KEY kcc (PC0,PC1,PC2,PC3),
UNIQUE (PC0,PC1,PC2,PC3), INDEX kcc (PC0,PC1,PC2,PC3));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow01300001 (IR0 CHAR(4) NOT NULL, IR1 INT(6) NOT NULL,
IR2 CHAR(1) NOT NULL, IR3 CHAR(2), IR4 INT(9), IR5 CHAR(5), IR6 DATE,
IR7 CHAR(50), IR8 DOUBLE(10,2), IR9 DOUBLE(10,2), IR10 DOUBLE(5,2),
IR11 CHAR(9), PRIMARY KEY kir (IR0,IR1,IR2), UNIQUE (IR0,IR1,IR2),
INDEX kir (IR0,IR1,IR2));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow01400001 (IE0 CHAR(4) NOT NULL, IE1 INT(6) NOT NULL,
IE2 CHAR(1) NOT NULL, IE3 CHAR(2), IE4 INT(9), IE5 CHAR(5), IE6 DATE,
IE7 CHAR(50), IE8 DOUBLE(10,2), IE9 DOUBLE(10,2), IE10 DOUBLE(5,2),
IE11 CHAR(9), PRIMARY KEY kie (IE0,IE1,IE2), UNIQUE (IE0,IE1,IE2),
INDEX kie (IE0,IE1,IE2));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow015 (BA0 INT(2) NOT NULL, BA1 CHAR(50), BA2 CHAR(50),
BA3 CHAR(50), BA4 CHAR(6), BA5 CHAR(50), BA6 CHAR(30), BA7 CHAR(30),
BA8 CHAR(50), BA9 BLOB, PRIMARY KEY kba (BA0), UNIQUE (BA0), INDEX kba (BA0));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow01700001 (EX0 CHAR(9) NOT NULL, EX1 DATE NOT NULL,
EX2 CHAR(4) NOT NULL, EX3 INT(7) NOT NULL, EX4 INT(5), EX5 CHAR(50),
EX6 DOUBLE(10,2), EX7 DOUBLE(10,2), PRIMARY KEY kex (EX0,EX1,EX2,EX3),
UNIQUE (EX0,EX1,EX2,EX3), INDEX kex (EX0,EX1,EX2,EX3));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow01800001 (DIA0 CHAR(4) NOT NULL, DIA1 CHAR(1), DIA2 INT(7),
DIA3 DOUBLE(10,2), DIA4 DOUBLE(10,2), PRIMARY KEY kdia (DIA0),
UNIQUE (DIA0), INDEX kdia (DIA0));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow889 (NPAP0 CHAR(8) NOT NULL, NPAP1 CHAR(50), NPAP2 INT(7),
PRIMARY KEY knpap (NPAP0), UNIQUE (NPAP0), INDEX knpap (NPAP0));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow999 (PGC0 CHAR(9) NOT NULL, PGC1 CHAR(50), PGC2 CHAR(15),
PRIMARY KEY kpgc (PGC0), UNIQUE (PGC0), INDEX kpgc (PGC0));
#--------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow01900001A (BSI0 CHAR(1) NOT NULL, BSI1 CHAR(10) NOT NULL, BSI2 CHAR(50),
BSI3 CHAR(12),BSI4 CHAR(12),BSI5 CHAR(12),BSI6 CHAR(50),
PRIMARY KEY kbsi (BSI0,BSI1), UNIQUE (BSI0,BSI1), INDEX kbsi (BSI0,BSI1));
#-------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow02311 (TI0 int(4) NOT NULL default '1', TI1 char(60),
TI2 int(5) default 0, TI3 CHAR(10), TI4 char(50), TI5 char(9), TI6 char(9),
TI7 char(1) default 'D', TI8 double(10,2) default 0.00, TI9 char(69), TI10 char(69),
TI11 char(69), TI12 char(69), PRIMARY KEY kti (TI0), UNIQUE (TI0), INDEX kti (TI0));
#......................................................
INSERT IGNORE INTO cow02311 VALUES (1,'GASTOS DE REPRESENTACION',1,'2005-01-01','FACT. N.:','629000000','570000000','D',100.00,'TECLEE LA CUENTA DEL DEBE','TECLEE LA CUENTA DEL HABER','EL NOMBRE DEL DEBE O DEL HABER','TECLEE EL IMPORTE');
INSERT IGNORE INTO cow02311 VALUES (2,'PAGOS ACREEDORES BANCO',1,'2005-01-01','PAGO FACT.N.:','410000000','572000000','D',100.00,'TECLEE LA CUENTA DEL DEBE','TECLEE LA CUENTA DEL HABER','EL NOMBRE DEL DEBE O DEL HABER','TECLEE EL IMPORTE');
INSERT IGNORE INTO cow02311 VALUES (3,'PAGOS ACREEDORES CONTADO',1,'2005-01-01','PAGO FACTURA N:','410000000','570000000','D',100.00,'TECLEE LA CUENTA DEL DEBE','TECLEE LA CUENTA DEL HABER','EL NOMBRE DEL DEBE O DEL HABER','TECLEE EL IMPORTE');
INSERT IGNORE INTO cow02311 VALUES (4,'PAGOS PROVEEDORES BANCO',NULL,'2005-01-01','PAGO FACTURA N.:','400000000','572000000','D',NULL,'TECLEE LA CUENTA DEL DEBE','TECLEE LA CUENTA DEL HABER','EL NOMBRE DEL DEBE O DEL HABER','TECLEE EL IMPORTE');
INSERT IGNORE INTO cow02311 VALUES (5,'PAGOS PROVEEDORES CONTADO',NULL,'2005-01-01','PAGO FACTURA N.:','400000000','570000000','D',NULL,'TECLEE LA CUENTA DEL DEBE','TECLEE LA CUENTA DEL HABER','EL NOMBRE DEL DEBE O DEL HABER','TECLEE EL IMPORTE');
#------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow02312 ( TI0 int(4) NOT NULL default '1', TI1 char(60),
TI2 int(5) default 0, TI3 CHAR(10), TI4 char(50), TI5 char(9), TI6 char(9),
TI7 char(1) default 'D', TI8 double(10,2) default 0.00, TI9 char(69), TI10 char(69),
TI11 char(69), TI12 char(69), PRIMARY KEY kti (TI0), UNIQUE (TI0), INDEX kti (TI0));
#......................................................
INSERT IGNORE INTO cow02312 VALUES (1,'COBROS CLIENTES BANCOS',NULL,'2005-01-01','COBRO FACTURA N.:','572000000','430000000','H',0.00,'TECLEE LA CUENTA DEL HABER','TECLEE LA CUENTA DEL DEBE','EL NOMBRE DEL DEBE O DEL HABER','TECLEE EL IMPORTE');
INSERT IGNORE INTO cow02312 VALUES (2,'COBROS CLIENTES CONTADO',NULL,'2005-01-01','COBRO FACTURA N.:','570000000','430000000','H',0.00,'TECLEE LA CUENTA DEL HABER','TECLEE LA CUENTA DEL DEBE','EL NOMBRE DEL DEBE O DEL HABER','TECLEE EL IMPORTE');
INSERT IGNORE INTO cow02312 VALUES (3,'TRASPASO DE BANCOS A CAJA',NULL,NULL,'TRASPASO DE CAPITAL DE BANCO A CAJA','570000000','572000000','H',0.00,'TECLEE LA CUENTA DEL HABER','TECLEE LA CUENTA DEL DEBE','EL NOMBRE DEL DEBE O DEL HABER','TECLEE EL IMPORTE');
INSERT IGNORE INTO cow02312 VALUES (4,'TRASPASO DE CAJA A BANCOS',NULL,NULL,'TRASPASO DE CAPITAL DE CAJA A BANCO','572000000','570000000','H',0.00,'TECLEE LA CUENTA DEL HABER','TECLEE LA CUENTA DEL DEBE','EL NOMBRE DEL DEBE O DEL HABER','TECLEE EL IMPORTE');
#------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow02321 (TI0 int(4) NOT NULL default '1', TI1 char(60),
TI2 int(5) default 0, TI3 CHAR(10), TI4 char(50), TI5 char(9), TI6 char(9),
TI7 char(9), TI8 char(9), TI9 char(10), TI10 double(10,2) default 0.00,
TI11 double(5,2) default 0.00, TI12 char(69), TI13 char(69), TI14 char(69), TI15 char(69), TI16 char(69),
TI17 char(69), TI18 char(69), PRIMARY KEY kti (TI0), UNIQUE (TI0), INDEX kti (TI0));
#......................................................
INSERT IGNORE INTO cow02321 VALUES (1,'VENTAS DE MERCADERIAS',NULL,NULL,'N. FACT. N.:','430000000','477000000','700000000',NULL,NULL,NULL,16.00,'TECLEE LA CUENTA DEL CLIENTE','TECLEE LA CUENTA DEL IVA','TECLEE LA CUENTA DE LAS VENTAS','TECLEE EL NUMERO DE FACTURA','TECLEE LA FECHA DE FACTURA','TECLEE EL IMPORTE','TECLEE EL TIPO DE IVA');
#-------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow02322 ( TI0 int(4) NOT NULL default '1', TI1 char(60),
TI2 int(5) default 0, TI3 CHAR(10), TI4 char(50), TI5 char(9),
TI6 char(9), TI7 char(9), TI8 char(9), TI9 CHAR(10), TI10 double(10,2) default 0.00,
TI11 double(5,2) default 0.00, TI12 char(69), TI13 char(69), TI14 char(69), TI15 char(69), TI16 char(69),
TI17 char(69), TI18 char(69), PRIMARY KEY kti (TI0), UNIQUE (TI0), INDEX kti (TI0));
#......................................................
INSERT IGNORE INTO cow02322 VALUES (1,'COMPRAS A PROVEEDORES',NULL,NULL,'SU FACTURA N.:','400000000','472000000','600000000',NULL,NULL,NULL,16.00,'TECLEE LA CUENTA DEL PROVEEDOR','TECLE LA CUENTA DEL IVA RECIBIDO','TECLEE LA CUENTA DE COMPRAS DE MERC.','TECLEE EL NUMERO DE FACTURA','TECLEE LA FECHA DE FACTURA','TECLEE EL IMPORTE DE LA FACTURA','TECLEE EL TIPO DE IVA');
INSERT IGNORE INTO cow02322 VALUES (2,'COMPRAS ACREEDORES - GASTOS',NULL,NULL,'SU FACTURA N.:','410000000','472000000','629000000',NULL,NULL,NULL,16.00,'TECLEE LA CUENTA DEL ACREEDOR','TECLE LA CUENTA DEL IVA RECIBIDO','TECLEE LA CUENTA DE COMPRAS DE MERC.','TECLEE EL NUMERO DE FACTURA','TECLEE LA FECHA DE FACTURA','TECLEE EL IMPORTE DE LA FACTURA','TECLEE EL TIPO DE IVA');
#-------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow02330 ( TI0 int(4) NOT NULL default '1', TI1 char(60), TI2 int(5) default 0,
TI3 CHAR(10), TI4 char(50), TI5 char(9), TI6 char(9), TI7 char(9), TI8 char(9),
TI9 double(10,2) default 0.00, TI10 double(10,2) default 0.00, TI11 double(10,2) default 0.00,
TI12 char(69), TI13 char(69), TI14 char(69), TI15 char(69), TI16 char(69), TI17 char(69), TI18 char(69),
PRIMARY KEY kti (TI0), UNIQUE (TI0), INDEX kti (TI0));
#......................................................
INSERT IGNORE INTO cow02330 VALUES (1,'NOMINAS',NULL,NULL,'NOMINAS','640000000','475100000','476000000','572000000',0.00,0.00,0.00,'TECLEE LA CUENTA DEL IMPORTE DEVENGADO','TECLEE LA CUENTA DEL IRPF','TECLEE LA CUENTA DE LA S. SOCIAL','TECLEE LA CUENTA DEL BANCO','TECLEE EL IMPORTE DEVENGADO','TECLEE EL IMPORTE DEL IRPF','TECLEE EL IMPORTE DE LA S. SOCIAL');
#-------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow02340 ( TI0 int(4) NOT NULL default '1', TI1 char(60), TI2 int(5) default 0,
TI3 CHAR(10), TI4 char(50), PRIMARY KEY kti (TI0), UNIQUE (TI0), INDEX kti (TI0));
#-------------------------------------------------------
CREATE TABLE IF NOT EXISTS cow02341 ( TID0 int(4) NOT NULL default 0, TID1 char(9) NOT NULL DEFAULT '0', TID2 char(50),
TID3 char(1) default 'D', TID4 double(10,2) default 0.00,
PRIMARY KEY ktid (TID0,TID1), UNIQUE (TID0,TID1), INDEX ktid (TID0,TID1));
